--==========================================================================================================================
-- BUILDING CLASSES
--==========================================================================================================================
-- BuildingClasses
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses 
		(Type, 								DefaultBuilding, 			Description, 				MaxGlobalInstances)
SELECT	'BUILDINGCLASS_JFD_JIAYUGUAN', 		'BUILDING_JFD_JIAYUGUAN', 	'TXT_KEY_JFD_JIAYUGUAN', 	1
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_BuildingClassOverrides
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 		BuildingClassType, 						BuildingType)
SELECT	Type, 					'BUILDINGCLASS_JFD_JIAYUGUAN', 			null
FROM Civilizations WHERE Type IN ('CIVILIZATION_BARBARIAN', 'CIVILIZATION_MINOR')
AND EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);
--==========================================================================================================================
-- BUILDINGS
--==========================================================================================================================
-- Buildings
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 
		(Type, 						BuildingClass, 					Cost, 	PrereqTech, 			MaxStartEra, 		SpecialistType, 		GreatPeopleRateChange, 	Defense,	Description, 						Help, 									Civilopedia, 							Quote, 									NukeImmune, HurryCostModifier,  MinAreaSize,	ConquestProb, 	IconAtlas, 								PortraitIndex, 	WonderSplashAudio,					WonderSplashImage, 			WonderSplashAnchor)
SELECT	'BUILDING_JFD_JIAYUGUAN', 	'BUILDINGCLASS_JFD_JIAYUGUAN',	225,	'TECH_CONSTRUCTION',	'ERA_CLASSICAL', 	'SPECIALIST_MERCHANT',	1,						900,		'TXT_KEY_BUILDING_JFD_JIAYUGUAN', 	'TXT_KEY_WONDER_JFD_JIAYUGUAN_HELP',	'TXT_KEY_WONDER_JFD_JIAYUGUAN_PEDIA',	'TXT_KEY_WONDER_JFD_JIAYUGUAN_QUOTE',	1,			-1,					-1,				100,			'JFD_POUAKAI_MERCENARY_WONDER_ATLAS',	0,				'AS2D_WONDER_SPEECH_JFD_JIAYUGUAN',	'Wonder_Jiayuguan.dds',		'L,B'
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);
--------------------------------------------------------------------------------------------------------------------------
-- Building_JFD_ContractModifiers
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_JFD_ContractModifiers 
		(BuildingType, 				TurnsModifier)
SELECT	'BUILDING_JFD_JIAYUGUAN', 	25
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);
--------------------------------------------------------------------------------------------------------------------------
-- Building_Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_Flavors 
		(BuildingType, 				FlavorType, 					Flavor)
SELECT	'BUILDING_JFD_JIAYUGUAN', 	'FLAVOR_MILITARY_TRAINING',		30
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);

INSERT INTO Building_Flavors 
		(BuildingType, 				FlavorType, 		Flavor)
SELECT	'BUILDING_JFD_JIAYUGUAN', 	'FLAVOR_GOLD',		25
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);

INSERT INTO Building_Flavors 
		(BuildingType, 				FlavorType, 		Flavor)
SELECT	'BUILDING_JFD_JIAYUGUAN', 	'FLAVOR_WONDER',	10
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);
--------------------------------------------------------------------------------------------------------------------------
-- Building_YieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_YieldChanges 
		(BuildingType, 				YieldType, 			Yield)
SELECT	'BUILDING_JFD_JIAYUGUAN', 	'YIELD_CULTURE',	1
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);

INSERT INTO Building_YieldChanges 
		(BuildingType, 				YieldType, 			Yield)
SELECT	'BUILDING_JFD_JIAYUGUAN', 	'YIELD_GOLD',		3
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_WONDER_CHANGES' AND Value = 1);
--==========================================================================================================================
-- RESOLUTIONS
--==========================================================================================================================
-- Resolutions
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Resolutions 
		(Type,							UnitMaintenanceGoldPercent,	TechPrereqAnyMember,	Description,							Help,										VoterDecision,						ProposerDecision)
SELECT	'RESOLUTION_JFD_MERCENARIES',	-25,						'TECH_RIFLING',			'TXT_KEY_RESOLUTION_JFD_MERCENARIES',	'TXT_KEY_RESOLUTION_JFD_MERCENARIES_HELP',	'RESOLUTION_DECISION_YES_OR_NO',	'RESOLUTION_DECISION_NONE'
WHERE EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_MERCENARIES_RESOLUTION_ADDITIONS' AND Value = 1);
--==========================================================================================================================
-- POLICIES
--==========================================================================================================================
-- Policies
--------------------------------------------------------------------------------------------------------------------------
UPDATE Policies
SET Help = 'TXT_KEY_POLICY_JFD_MERCENARY_ARMY_HELP'
WHERE Type = 'POLICY_TRADE_UNIONS'
AND EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type='JFD_MERCENARIES_POLICY_CHANGES' AND Value = 1);
--------------------------------------------------------------------------------------------------------------------------
-- Policy_JFD_ContractModifiers
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Policy_JFD_ContractModifiers
		(PolicyType,				CostModifier)
SELECT	'POLICY_TRADE_UNIONS',		-20
AND EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type='JFD_MERCENARIES_POLICY_CHANGES' AND Value = 1);
--==========================================================================================================================	
-- TOP PANEL
--==========================================================================================================================	
-- JFD_TopPanelIncludes
------------------------------	
CREATE TABLE IF NOT EXISTS 
	JFD_TopPanelIncludes (
	FileName				text		default null);
	
INSERT OR REPLACE INTO JFD_TopPanelIncludes
		(FileName)
VALUES	('JFD_MercenariesUtilities.lua');
------------------------------
-- JFD_TopPanelAdditions
------------------------------		
CREATE TABLE IF NOT EXISTS 
	JFD_TopPanelAdditions (
	CivilizationType		text		REFERENCES Civilizations(Type) 	default null,
	YieldType  				text 										default null,
	YieldSourceFunction 	text										default null,
	YieldSourceToolTip		text										default	null,
	MiscToolTipFunction		text										default	null);
--==========================================================================================================================
--==========================================================================================================================